<HTML>
<HEAD><TITLE>Lattice Synthesis Timing Report</TITLE>
<STYLE TYPE="text/css">
<!--
 body,pre{    font-family:'Courier New', monospace;    color: #000000;    font-size:88%;    background-color: #ffffff;}h1 {    font-weight: bold;    margin-top: 24px;    margin-bottom: 10px;    border-bottom: 3px solid #000;    font-size: 1em;}h2 {    font-weight: bold;    margin-top: 18px;    margin-bottom: 5px;    font-size: 0.90em;}h3 {    font-weight: bold;    margin-top: 12px;    margin-bottom: 5px;    font-size: 0.80em;}p {    font-size:78%;}P.Table {    margin-top: 4px;    margin-bottom: 4px;    margin-right: 4px;    margin-left: 4px;}table{    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    border-collapse: collapse;}th {    font-weight:bold;    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    text-align:left;    font-size:78%;}td {    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    font-size:78%;}a {    color:#013C9A;    text-decoration:none;}a:visited {    color:#013C9A;}a:hover, a:active {    text-decoration:underline;    color:#5BAFD4;}.pass{background-color: #00ff00;}.fail{background-color: #ff0000;}.comment{    font-size: 90%;    font-style: italic;}
-->
</STYLE>
</HEAD>
<PRE><A name="Map_Twr"></A><B><U><big>Lattice Synthesis Timing Report</big></U></B>
--------------------------------------------------------------------------------
Lattice Synthesis Timing Report, Version  
Wed Oct 11 12:37:48 2023

Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2020 Lattice Semiconductor Corporation,  All rights reserved.

<A name="mtw1_ri"></A><B><U><big>Report Information</big></U></B>
------------------
Design:     GENDECAL
Constraint file:  
Report level:    verbose report, limited to 3 items per constraint
--------------------------------------------------------------------------------



================================================================================
Constraint: create_clock -period 5.000000 -name clk0 [get_nets CLK_c]
            19 items scored, 0 timing errors detected.
--------------------------------------------------------------------------------


Passed:  The following path meets requirements by 2.213ns

 Logical Details:  Cell type  Pin type       Cell name  (clock net +/-)

   Source:         FD1P3AY    CK             QINT__i7  (from CLK_c +)
   Destination:    FD1S3AX    D              QINT__i16  (to CLK_c +)

   Delay:                   2.641ns  (32.2% logic, 67.8% route), 2 logic levels.

 Constraint Details:

      2.641ns data_path QINT__i7 to QINT__i16 meets
      5.000ns delay constraint less
      0.146ns L_S requirement (totaling 4.854ns) by 2.213ns

 Path Details: QINT__i7 to QINT__i16

   Name    Fanout   Delay (ns)          Pins               Resource(Cell.Net)
L_CO        ---     0.403             CK to Q              QINT__i7 (from CLK_c)
Route         2   e 1.002                                  QINT[6]
LUT4        ---     0.448              B to Z              i3_4_lut
Route         1   e 0.788                                  QINTSUIVANT[15]
                  --------
                    2.641  (32.2% logic, 67.8% route), 2 logic levels.


Passed:  The following path meets requirements by 2.213ns

 Logical Details:  Cell type  Pin type       Cell name  (clock net +/-)

   Source:         FD1S3AX    CK             QINT__i3  (from CLK_c +)
   Destination:    FD1S3AX    D              QINT__i16  (to CLK_c +)

   Delay:                   2.641ns  (32.2% logic, 67.8% route), 2 logic levels.

 Constraint Details:

      2.641ns data_path QINT__i3 to QINT__i16 meets
      5.000ns delay constraint less
      0.146ns L_S requirement (totaling 4.854ns) by 2.213ns

 Path Details: QINT__i3 to QINT__i16

   Name    Fanout   Delay (ns)          Pins               Resource(Cell.Net)
L_CO        ---     0.403             CK to Q              QINT__i3 (from CLK_c)
Route         2   e 1.002                                  QINT[2]
LUT4        ---     0.448              C to Z              i3_4_lut
Route         1   e 0.788                                  QINTSUIVANT[15]
                  --------
                    2.641  (32.2% logic, 67.8% route), 2 logic levels.


Passed:  The following path meets requirements by 2.213ns

 Logical Details:  Cell type  Pin type       Cell name  (clock net +/-)

   Source:         FD1P3AY    CK             QINT__i1  (from CLK_c +)
   Destination:    FD1S3AX    D              QINT__i16  (to CLK_c +)

   Delay:                   2.641ns  (32.2% logic, 67.8% route), 2 logic levels.

 Constraint Details:

      2.641ns data_path QINT__i1 to QINT__i16 meets
      5.000ns delay constraint less
      0.146ns L_S requirement (totaling 4.854ns) by 2.213ns

 Path Details: QINT__i1 to QINT__i16

   Name    Fanout   Delay (ns)          Pins               Resource(Cell.Net)
L_CO        ---     0.403             CK to Q              QINT__i1 (from CLK_c)
Route         2   e 1.002                                  SOUT_c_0
LUT4        ---     0.448              A to Z              i3_4_lut
Route         1   e 0.788                                  QINTSUIVANT[15]
                  --------
                    2.641  (32.2% logic, 67.8% route), 2 logic levels.

Report: 2.787 ns is the maximum delay for this constraint.


<A name="mtw1_rs"></A><B><U><big>Timing Report Summary</big></U></B>
--------------
--------------------------------------------------------------------------------
Constraint                              |   Constraint|       Actual|Levels
--------------------------------------------------------------------------------
                                        |             |             |
create_clock -period 5.000000 -name     |             |             |
clk0 [get_nets CLK_c]                   |     5.000 ns|     2.787 ns|     2  
                                        |             |             |
--------------------------------------------------------------------------------


All constraints were met.



<A name="mtw1_ts"></A><B><U><big>Timing summary:</big></U></B>
---------------

Timing errors: 0  Score: 0

Constraints cover  19 paths, 18 nets, and 36 connections (76.6% coverage)


Peak memory: 76726272 bytes, TRCE: 1232896 bytes, DLYMAN: 0 bytes
CPU_TIME_REPORT: 0 secs 



<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
</PRE></FONT>
</BODY>
</HTML>
